Kerbal Space Program - Bug #2501

Quicksave during landing on Pol - ship explodes on quickload, stays motionless in space. Game
locks up.

05/25/2014 01:23 PM - Kasuha

Status: Closed Start date: 05/25/2014
Severity: Normal % Done: 100%
Assignee:

Category: Buildings

Target version:

Version: 0.23.5 Language: English (US)
Platform: Any Mod Related: No
Description

During attempt at horizontal landing on Pol, | quicksaved when the ship was low but still in safe height above terrain. On quickload,
the ship explodes and remaining parts stay motionless in space above the Pol surface. The flight log says the ship crashed into Pol.

Also when moving at speed greater than 100 m/s low above the Pol terrain, it is possible to crash into 'nothing' - | have found that it
follows generation of surface scatter, if the scatter does not generated below the ship soon enough, it crashes into 'nothing' above
the square on which the scatter was not generated yet. | believe these two are related.

This report is about two issues:
- ship quicksaved in safe height above Pol exploeds on quickload
- the game locks up after that. There are many messages in output_log reporting NaN values

Related issues:

Related to Kerbal Space Program - Bug #5235: Ship quicksaved below 700 m abov... Closed 07/13/2015
Related to Kerbal Space Program - Bug #2049: Orbital Hell's Kraken (theory an... Closed 01/25/2014
History

#1 - 05/25/2014 01:51 PM - TruePikachu

Quicksave in dangerous situations (such as fast movement low over terrain) is still new, so bugs are to be expected.
| found the problem, and | believe it is an extension of #2049.

Vessel PID fddf7dcdea6e439aa4982659b34447ff, name Kaeris Il T Debris is reported as LANDED, with orbit:

SMA = NaN
ECC =1
INC = NaN

LPE = 108.077215273401
LAN = 15.5781035258577

MNA = -8.40714670366795
EPH = 469836666.438818
REF = 12

This is where the NaNs are coming from. Starting from line 5078 in the log, vessels are removed:

(5094) [OrbitDriver Warning!]: Kaeris Il T Debris had a NaN Orbit and was removed.

( ) [OrbitDriver Warning!]: Kaeris Il T Debris had a NaN Orbit and was removed.

( ) [OrbitDriver Warning!]: Kaeris Il T Debris had a NaN Orbit and was removed.

( ) [OrbitDriver Warning!]: Kaeris Il T Debris had a NaN Orbit and was removed.

(5170) [OrbitDriver Warning!]: Kaeris Il T Debris had a NaN Orbit and was removed.

( ) [OrbitDriver Warning!]: Kaeris Il T Probe had a NaN Orbit and was removed.

( ) [OrbitDriver Warning!]: Kaeris Il T Debris had a NaN Orbit and was removed.
) [OrbitDriver Warning!]: Kaeris Il T Debris had a NaN Orbit and was removed.

Then we have the crash through terrain:

(5622) Vessel Kaeris Il T crashed through terrain on Pol

Then, after cleaning up the vessel,

(5815) [FLIGHT GLOBALS]: Switching To Vessel Kaeris Il T Probe ----------------------

(5823) problem!

(5824) [NaN, NaN, NaN] - [NaN, NaN, NaN] - NaN - [NaN, NaN, NaN] - NaN

04/23/2024 1/2



https://bugs.kerbalspaceprogram.com/issues/2049

That is where all the NaNs are coming from.

#2 - 05/25/2014 06:13 PM - Kasuha

These initial messages you found (up to line 5230) are caused by what remained in the persistence file after the game crashed the last round. They
don't cause and permanent problems if all | do is just load the quicksave. If you try to load the quicksave once in a clean save, you'll not have them. If
you restart the game and try to load that quicksave once again, they'll be there. But the behavior of the game does not depend on it (unless you try to
fly one of those ships from tracking station).

The real issue starts on line 5622 which is immediately after the quickload. At that time all ships from previous persistence were already removed.
The NaN problems might be related to #2049 but the ship explosion after quickload is definitely not. It might be related to #1601.

#3 - 05/25/2014 06:15 PM - Kasuha

Oh and another funny thing on Pol that might be related to the issue is: if you plant a flag on Pol, then quicksave your Kerbal as it is standing beside
the flag, then quickload, you'll find the flag several hundred meters above surface.

#4 - 07/14/2015 05:03 PM - Squelch
- Related to Bug #5235: Ship quicksaved below 700 m above terrain on Pol is destroyed on quickolad added

#5 - 07/15/2015 01:03 AM - Squelch
- Related to Bug #2049: Orbital Hell's Kraken (theory and reproduction steps included) added

#6 - 07/17/2016 09:26 AM - TriggerAu

- Status changed from New to Needs Clarification

#7 - 08/09/2016 10:56 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files

quicksave.sfs 199 KB 05/25/2014 Kasuha
screenshot201.png 1.9 MB 05/25/2014 Kasuha
screenshot202.png 1.32 MB 05/25/2014 Kasuha
output_log.txt 430 KB 05/25/2014 Kasuha
